Subject: bug#55393: describe-keymap: suggest symbol at point

From: Eli Zaretskii <[email-masked]>
Date: Fri, 13 May 2022 15:06:40 +0300

> From: Visuwesh <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 13 May 2022 13:12:26 +0530
> 
> >> The 'interactive' form of describe-keymap uses this function.  I don't
> >> see this function being used anywhere else either.
> >
> > Nothing prevents future reuse of the subroutine in another place.  I
> > would prefer to have this code directly in the interactive form, to be
> > more future-proof.  And note that the if-let form's result is not used
> > in any way in the rest of the code of that function, which also speaks
> > volumes of its being an independent issue.
> 
> Now done, please check.

LGTM, thanks.

A minor nit:

> --- a/etc/NEWS
> +++ b/etc/NEWS
> @@ -562,6 +562,11 @@ minor modes are listed after the major mode.
>  The apropos commands will now select the apropos window if
>  'help-window-select' is non-nil.
>  
> +---
> +*** 'describe-keymap' now considers the symbol at point.
> +'describe-keymap' suggests the symbol at point as the default
> +candidate if it is a keymap.

That "it" is ambiguous, since it could allude to more than one entity
mentioned before it.  I suggest to change the order, so that "if it is
a keymap" directly follows "symbol at point".

Let's wait for a day or two to let others time to comment on this.